Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  von Stückliste ausschließen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   von Stückliste ausschließen (1339 mal gelesen)
Failor087
Mitglied
Technischer Produktdesigner


Sehen Sie sich das Profil von Failor087 an!   Senden Sie eine Private Message an Failor087  Schreiben Sie einen Gästebucheintrag für Failor087

Beiträge: 14
Registriert: 19.04.2018

Win7-64
SW 2018 SP 5.0
Enterprise PDM

erstellt am: 19. Apr. 2018 13:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

mein frage lautet wie folgt und wurde bestimmt schon mal irgendwo angesprochen.

Besteht die möglich in SW,ein Teil, eine Benutzerdefinierte Eigenschaft zu verpassen damit es in der Stüli nicht auftaucht.
Ohne ständige bei der BGR aufs teil zu klicken und es dann über die Komponenteneigenschaft auszuschließen? Oder es Virtuell machen bzw als Hülle darzustellen. Dies ist auf dauer etwas zu umständlich wenn man es mehrmals täglich machen muss.

Vielen Dank schon mal im Voraus für Eure Hilfe.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Konstrukteur Sondermaschinenbau



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2215
Registriert: 18.07.2012

-Solid Works 2019 SP3
-Pro Engineer WF 3

erstellt am: 19. Apr. 2018 15:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Failor087 10 Unities + Antwort hilfreich

Hallo,

nein das geht nicht, da es ja keine Eigenschaft des Modelles ist sondern eine Eigenschaft für die Komponente in der Baugruppe, weil es ja sein kann das in einer Baugruppe das Teil in die Stückliste soll und in einer anderen Baugruppe vielleicht nicht.

Du könnst dir aber versuchen über die API was in VBA zu realisieren.

- Alle Komponenten in der Baugruppe traversieren (Traverse Assembly and Hide All Sketches Example (VBA))
- Eigenschaft aus Modell auswerten (CustomInfo2 Property (IModelDoc2)
- Komponenten Eigenschaft entsprechend setzten (ExcludeFromBOM Property (IComponent2))

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Heiko Soehnholz
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau



Sehen Sie sich das Profil von Heiko Soehnholz an!   Senden Sie eine Private Message an Heiko Soehnholz  Schreiben Sie einen Gästebucheintrag für Heiko Soehnholz

Beiträge: 4081
Registriert: 03.07.2002

SOLIDWORKS seit 2001
CSWS-TSO/MD/TMD
CSWS-C/D/I/MBD/VIS
CSWP-Core/DT/MT/SM/SU/WD
CSWE CSSP CSPP CSWI SWPUC
SOLIDWORKS 2019SP3
Simulation, Composer, MBD,
Inspection, PDMP, Visualize,
TopsWorks, TableAddIn etc.
Passungstabelle von Heinz
WIN10x64 1809 HP ZBook 17 G5

erstellt am: 19. Apr. 2018 15:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Failor087 10 Unities + Antwort hilfreich

Hallo,

ja, das wurde schon oft gefragt. Aber die Stücklistenrelevanz ist eine Frage der Baugruppe, nicht des betreffenden Teils. Und daher lautet die Antwort auf deine Frage zunächst auch ganz klar: Geht nicht.

Es wäre aber sicher ein Makro denkbar, das diese Einstellung vornimmt, wenn es denn so häufig vorkommt und/oder so viele Komponenten betrifft.

Argh! Bernd  war (wieder) schneller!

------------------
Einen schönen Gruß von Heiko
- www.dps-software.de - www.iknow-solidworks.de -

[Diese Nachricht wurde von Heiko Soehnholz am 19. Apr. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Failor087
Mitglied
Technischer Produktdesigner


Sehen Sie sich das Profil von Failor087 an!   Senden Sie eine Private Message an Failor087  Schreiben Sie einen Gästebucheintrag für Failor087

Beiträge: 14
Registriert: 19.04.2018

Win7-64
SW 2018 SP 5.0
Enterprise PDM

erstellt am: 19. Apr. 2018 16:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ok. Schade.

Dann bleibt es wohl bei der alten Methode.

Trotzdem danke  .

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Konstrukteur Sondermaschinenbau



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2215
Registriert: 18.07.2012

-Solid Works 2019 SP3
-Pro Engineer WF 3

erstellt am: 19. Apr. 2018 17:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Failor087 10 Unities + Antwort hilfreich

Hallo,

so schwer ist das mit dem Macro jetzt nicht.

Code:

Option Explicit

Sub main()
    Dim swApp As SldWorks.SldWorks
    Dim swModel As SldWorks.ModelDoc2
    Dim swConf As SldWorks.Configuration
    Dim swRootComp As SldWorks.Component2
    Dim bRet As Boolean

    Set swApp = Application.SldWorks
    Set swModel = swApp.ActiveDoc
    Set swConf = swModel.GetActiveConfiguration
    Set swRootComp = swConf.GetRootComponent3(True)

    TraverseComponent swApp, swModel, swRootComp, 1
   
    MsgBox "Fertisch", vbOKOnly

End Sub

Sub TraverseComponent(swApp As SldWorks.SldWorks, swModel As SldWorks.ModelDoc2, swComp As SldWorks.Component2, nLevel As Long)
    Dim vChildComp As Variant
    Dim swChildComp As SldWorks.Component2
    Dim swCompConfig As SldWorks.Configuration
    Dim swCompModel As SldWorks.ModelDoc2
    Dim i As Long
   
    vChildComp = swComp.GetChildren
   
    For i = 0 To UBound(vChildComp)
        Set swChildComp = vChildComp(i)
        Set swCompModel = swChildComp.GetModelDoc2
       
        If swCompModel.CustomInfo2("", "ExcludeFromBOM") = "Yes" Then
            swChildComp.ExcludeFromBOM = True
        End If
               
        TraverseComponent swApp, swModel, swChildComp, nLevel + 1
    Next i
   
swModel.ForceRebuild3 (False)
   
End Sub


Die abgefragte Modell-Eigenschaft (nicht konfigurationsspezifisch) heißt "ExcludeFromBOM" ist vom Typ "Ja / Nein (Yes / No)", beim Wert "Yes" in der Modell-Eigenschaft wird die Komponenten-Eigenschaft "aus Stückliste ausschließen" für die Komponente gesetzt.

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

dopplerm
Ehrenmitglied V.I.P. h.c.
Konstrukteur


Sehen Sie sich das Profil von dopplerm an!   Senden Sie eine Private Message an dopplerm  Schreiben Sie einen Gästebucheintrag für dopplerm

Beiträge: 2968
Registriert: 11.02.2005

PNY FX 380
Win 7 64bit
SWX 2014 SP 4.0

erstellt am: 19. Apr. 2018 17:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Failor087 10 Unities + Antwort hilfreich

du kannst natürlich bevor du die Stückliste machst, alle betreffenden Teile markieren und auf einmal aus der Stückliste ausschließen, es ist nicht notwendig, den schritt bei jedem Teil einzeln auszuführen.

lg Martin

------------------
ich spiel noch immer gern mit Bauklötzen, nur sind sie jetzt teurer 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jörg.jwd
Ehrenmitglied V.I.P. h.c.
CAD-PDM Administrator


Sehen Sie sich das Profil von jörg.jwd an!   Senden Sie eine Private Message an jörg.jwd  Schreiben Sie einen Gästebucheintrag für jörg.jwd

Beiträge: 3024
Registriert: 05.11.2003

erstellt am: 20. Apr. 2018 07:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Failor087 10 Unities + Antwort hilfreich

...denk mal über ein brauchbares PDM-System nach. Bei uns ist sowas  absolut Usus und kommt auch fast täglich vor.

------------------
Grüße

Jörg

man hat nie Zeit es richtig zu machen, aber immer genug Zeit es nochmals zu machen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Failor087
Mitglied
Technischer Produktdesigner


Sehen Sie sich das Profil von Failor087 an!   Senden Sie eine Private Message an Failor087  Schreiben Sie einen Gästebucheintrag für Failor087

Beiträge: 14
Registriert: 19.04.2018

Win7-64
SW 2018 SP 5.0
Enterprise PDM

erstellt am: 20. Apr. 2018 08:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Wir arbeiten mit einem PDM. Aber wir wüssten jetzt nicht das ich es darüber schon steuern kann welche teile in einer SL auftauchen sollen und welche nicht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jörg.jwd
Ehrenmitglied V.I.P. h.c.
CAD-PDM Administrator


Sehen Sie sich das Profil von jörg.jwd an!   Senden Sie eine Private Message an jörg.jwd  Schreiben Sie einen Gästebucheintrag für jörg.jwd

Beiträge: 3024
Registriert: 05.11.2003

erstellt am: 20. Apr. 2018 08:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Failor087 10 Unities + Antwort hilfreich

...wenn du uns jetzt noch mitteilst mit welchem PDM kann dir hier sicher einer sagen wie das eingerichtet werden muss.

Edit:
füll doch mal deine Sys-Info aus, dann muss nicht immer nachgefragt werden.

------------------
Grüße

Jörg

man hat nie Zeit es richtig zu machen, aber immer genug Zeit es nochmals zu machen

[Diese Nachricht wurde von jörg.jwd am 20. Apr. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Failor087
Mitglied
Technischer Produktdesigner


Sehen Sie sich das Profil von Failor087 an!   Senden Sie eine Private Message an Failor087  Schreiben Sie einen Gästebucheintrag für Failor087

Beiträge: 14
Registriert: 19.04.2018

Win7-64
SW 2018 SP 5.0
Enterprise PDM

erstellt am: 20. Apr. 2018 10:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Also aktuell sind wir leider noch sehr weit hinten mit SW. da nutzen wir derzeit immernoch 2011. Soll sich aber bald zum glück ändern  & PDM ist bei uns Enterprise PDM.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jörg.jwd
Ehrenmitglied V.I.P. h.c.
CAD-PDM Administrator


Sehen Sie sich das Profil von jörg.jwd an!   Senden Sie eine Private Message an jörg.jwd  Schreiben Sie einen Gästebucheintrag für jörg.jwd

Beiträge: 3024
Registriert: 05.11.2003

erstellt am: 20. Apr. 2018 11:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Failor087 10 Unities + Antwort hilfreich

...bei Enterprise-PDM bin ich raus. In meinem ist das ganz einfach. Wir haben da eine bestimmte Kategorie (die bei der Neuanlage gesetzt werden muss) so definiert dass die aus der Stüli ausgeschlossen wird. Wir verwalten auch die Stüli's nicht in SWX sondern im PDM.

------------------
Grüße

Jörg

man hat nie Zeit es richtig zu machen, aber immer genug Zeit es nochmals zu machen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Failor087
Mitglied
Technischer Produktdesigner


Sehen Sie sich das Profil von Failor087 an!   Senden Sie eine Private Message an Failor087  Schreiben Sie einen Gästebucheintrag für Failor087

Beiträge: 14
Registriert: 19.04.2018

Win7-64
SW 2018 SP 5.0
Enterprise PDM

erstellt am: 09. Aug. 2019 07:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo liebe Leute.

nach langer zeit melde ich mich mal wieder zu diesem Thema.

Erst einmal vielen dank für die Makro befehle von bk.sc     es funktioniert super.

nun haben wir aber ein kleines neues Problem  

Wir wollen statt immer 2 Makros zu betätigen müssen ein Makro starten.

dafür haben wir auch schon ein Makro geschrieben was dies erledigen soll. Dies sieht wie folgt aus

Dim swApp As Object
Sub main()

Set swApp = Application.SldWorks
'Starten des Makros zum Ausschließen von der Stückliste
swApp.RunMacro "C:\Users\mbremert\Desktop\Stüliausschließen.swp", "Stüliausschließen1", "Main"

'Starten des Makros zum Export der Stückliste
swApp.RunMacro "C:\Users\mbremert\Desktop\BaugruppeStuecklisteExport 2013.swp", "Main", "Main"

End Sub

Unser Problem besteht aber leider darin, dass er, wenn er das erste Makro ausgeführt hat den Bezug von der ausgewählten Stückliste verliert und dann den Export der Stüli nicht ausführt und die Fehlermeldung bringt:

"Bitte Stückliste auswählen und Makro nochmal starten!"

tu ich dies wieder rum kommt wieder die gleiche Meldung.

So und jetzt komm ich zur eigentlichen Frage

gibt es einen Makro befehl der mir nach dem ausführen des ersten Makro zeit gibt das ich nochmal die Stüli anwählen kann bevor er das 2te Makro (also den Stüli-export) startet?

Vielen Dank für Eure Hilfe. Ihr seid hier der echte Wahnsinn  

[Diese Nachricht wurde von Failor087 am 09. Aug. 2019 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Konstrukteur Sondermaschinenbau



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2215
Registriert: 18.07.2012

-Solid Works 2019 SP3
-Pro Engineer WF 3

erstellt am: 09. Aug. 2019 08:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Failor087 10 Unities + Antwort hilfreich

Hallo,

hast du mal überlegt beide Macros zusammenzufassen, das bei RunMacro der Bezug nach Ablauf verloren geht ist klar, da nach der Beendigung eines Macros alle Objecte geleert.

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Failor087
Mitglied
Technischer Produktdesigner


Sehen Sie sich das Profil von Failor087 an!   Senden Sie eine Private Message an Failor087  Schreiben Sie einen Gästebucheintrag für Failor087

Beiträge: 14
Registriert: 19.04.2018

Win7-64
SW 2018 SP 5.0
Enterprise PDM

erstellt am: 09. Aug. 2019 08:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

naja das wird jetzt etwas peinlich für uns 

unser ehemaliger IT-Spezi hat das Stücklisten-Export Kennwort geschützt und niemand weiß das Kennwort hier von uns  , weil das war unser erster versuch beides zusammen zu führen 

deshalb wollten wir uns mit diesem Makro Abhilfe schaffen. 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz